Page MenuHomePhabricator

Upgrade Gerrit to 3.2.11
Closed, ResolvedPublic

Description

We are running 3.2.7 and Gerrit 3.2.11 has been released July 1st.

Release notes: https://www.gerritcodereview.com/3.2.html#3211

It is a routine update, not a security one.

Event Timeline

Change 676551 had a related patch set uploaded (by Hashar; author: Hashar):

[operations/software/gerrit@wmf/stable-3.2] Merge tag 'v3.2.8' into wmf/stable-3.2

https://gerrit.wikimedia.org/r/676551

Change 676551 merged by jenkins-bot:

[operations/software/gerrit@wmf/stable-3.2] Merge tag 'v3.2.8' into wmf/stable-3.2

https://gerrit.wikimedia.org/r/676551

hashar renamed this task from Upgrade Gerrit to 3.2.8 to Upgrade Gerrit to 3.2.10.May 21 2021, 12:18 PM
hashar triaged this task as Medium priority.
hashar updated the task description. (Show Details)
hashar updated the task description. (Show Details)

I will pair that one with @brennen and or @dancy . The process is rather straightforward, the most difficult part would probably to setup Archiva credentials properly. Else it is just about adding the upstream released releases.war to our operations/software/gerrit repo in deploy/wmf/stable-3.2 and scap deploy it. I have entirely revisited the deploy doc at https://wikitech.wikimedia.org/wiki/Gerrit/Upgrade so it should be a breeze.

There is a regression introduced by 3.2.8 which causes project searches to be case sensitive. It has not been released in 3.2.10. https://bugs.chromium.org/p/gerrit/issues/detail?id=14639

It might be annoying enough that we want to delay and wait for 3.2.11.

Last week was Wikimedia all-hands and thus had little activity. I have reached out to Gerrit upstream, that bug is definitely a regression and they are willing to release it quickly, the patch release was pending another fix up. They should release a 3.2.11 anytime soon

hashar renamed this task from Upgrade Gerrit to 3.2.10 to Upgrade Gerrit to 3.2.11.Fri, Jul 2, 8:47 AM
hashar updated the task description. (Show Details)

There is a regression introduced by 3.2.8 which causes project searches to be case sensitive. It has not been released in 3.2.10. https://bugs.chromium.org/p/gerrit/issues/detail?id=14639

That has been released with Gerrit 3.2.11. So we can now do the upgrade dance described at https://wikitech.wikimedia.org/wiki/Gerrit/Upgrade

Change 699038 had a related patch set uploaded (by Hashar; author: Ahmon Dancy):

[operations/software/gerrit@deploy/wmf/stable-3.2] Upgrade Gerrit to v3.2.11

https://gerrit.wikimedia.org/r/699038

Mentioned in SAL (#wikimedia-releng) [2021-07-13T08:24:27Z] <hashar> Updated operations/software/gerrit branches to 3.2.11 # T278990

Change 704282 had a related patch set uploaded (by Hashar; author: Hashar):

[operations/software/gerrit@wmf/stable-3.2] Merge tag 'v3.2.11' into wmf/stable-3.2

https://gerrit.wikimedia.org/r/704282

Change 699038 merged by Hashar:

[operations/software/gerrit@deploy/wmf/stable-3.2] Upgrade Gerrit to v3.2.11

https://gerrit.wikimedia.org/r/699038

Change 704282 merged by jenkins-bot:

[operations/software/gerrit@wmf/stable-3.2] Merge tag 'v3.2.11' into wmf/stable-3.2

https://gerrit.wikimedia.org/r/704282

Change 699035 had a related patch set uploaded (by Hashar; author: Ahmon Dancy):

[operations/software/gerrit@deploy/wmf/stable-3.2] Update plugins for Gerrit 3.2.11

https://gerrit.wikimedia.org/r/699035

Mentioned in SAL (#wikimedia-releng) [2021-07-13T10:22:25Z] <hashar> gerrit: pushed upstream tags for plugins/gitiles # T278990

Change 704305 had a related patch set uploaded (by Hashar; author: Hashar):

[operations/software/gerrit@wmf/stable-3.2] Update our plugins for 3.2.11

https://gerrit.wikimedia.org/r/704305

Change 704305 merged by jenkins-bot:

[operations/software/gerrit@wmf/stable-3.2] Update our plugins for 3.2.11

https://gerrit.wikimedia.org/r/704305

Change 699035 merged by jenkins-bot:

[operations/software/gerrit@deploy/wmf/stable-3.2] Update plugins for Gerrit 3.2.11

https://gerrit.wikimedia.org/r/699035

@dancy @brennen and I paired the update and we have updated the deployment notes while doing it: https://wikitech.wikimedia.org/wiki/Gerrit/Upgrade#Deploying

The replica and the primary both failed to start due to:

[2021-07-19T16:31:12.974+0000] [main] ERROR org.apache.sshd.common.io.nio2.Nio2Acceptor :
bind(gerrit-replica.wikimedia.org/2620:0:860:4:208:80:153:107:29418) - failed (BindException) to bind: Address already in use

On the replica we have:

/var/lib/gerrit2/review_site/etc/gerrit.config
[sshd]
    listenAddress = gerrit-replica.wikimedia.org:29418
    listenAddress = [2620:0:860:4:208:80:153:107]:29418

When gerrit-replica.wikimedia.org resolves to the IPv6 address, Gerrit would tries to listen twice on the same port and it would fail. We should thus use the IPv4!

Change 705431 had a related patch set uploaded (by Hashar; author: Hashar):

[operations/puppet@production] gerrit: listen on IPv4 rather than fqdn

https://gerrit.wikimedia.org/r/705431

Change 705431 merged by Dzahn:

[operations/puppet@production] gerrit: listen on IPv4 rather than fqdn

https://gerrit.wikimedia.org/r/705431

Follow up for sshd.listenAddress is done via T287122